function M = M_VBUStoLS(f,S,p1,p2,p3,p4,Z0,flower,fupper)

%Z0=50;
%flower=500e3; 
%fupper=2e6;

ID=find(f>=flower & f<=fupper);

f=f(ID);
omega=2*pi*f;
N=length(S(:,1,1));

if ~isempty(ID)
    for i=1:length(ID)
    Y(:,:,i)=(inv(eye(N)+S(:,:,i))*(eye(N)-S(:,:,i)))/Z0;
    end

% YY=s2Y(S,Z0);

    Y11=squeeze(Y(p1,p1,:));
    Y12=squeeze(Y(p1,p2,:));
    Y21=squeeze(Y(p2,p1,:));
    Y22=squeeze(Y(p2,p2,:));
    Y34=squeeze(Y(p3,p4,:));
    Y43=squeeze(Y(p4,p3,:));
    Y14=squeeze(Y(p1,p4,:));
    Y41=squeeze(Y(p4,p1,:));
    Y23=squeeze(Y(p2,p3,:));
    Y32=squeeze(Y(p3,p2,:));

    %L1=omega\imag(-2./(Y12+Y21))*1e9;
    %L2=omega\imag(-2./(Y34+Y43))*1e9;
    
    MOmega=imag((Y14+Y41+Y23+Y32)./((Y12+Y21).*(Y34+Y43)));
    M=omega\MOmega*1e9; 
    
    %  Debug
    M_debug=MOmega./omega*1e9;

    %figure
    %plot(f,M_debug)
    
    if M<0
        M=0;
    end
else
    M=[];
end
       
end