function [SDD,SDC]=VNA8spAssemble(mix)

% Insertion loss - SS
SDD21=squeeze(mix{1}.S(1,2,:));
SDD43=squeeze(mix{1}.S(3,4,:));

% Return loss - SS        
SDD11=squeeze(mix{1}.S(1,1,:));
SDD22=squeeze(mix{1}.S(2,2,:));
SDD33=squeeze(mix{1}.S(3,3,:));
SDD44=squeeze(mix{1}.S(4,4,:));

% Mode convertion
SDC12=squeeze(mix{1}.S(1,6,:));
SDC21=squeeze(mix{1}.S(2,5,:));
SDC34=squeeze(mix{1}.S(3,8,:));
SDC43=squeeze(mix{1}.S(4,7,:));

% SS-SS NEXT
SDD31=squeeze(mix{1}.S(1,3,:));
SDD42=squeeze(mix{1}.S(2,4,:));

 % SS-SS FEXT
SDD41=squeeze(mix{1}.S(1,4,:));
SDD32=squeeze(mix{1}.S(2,3,:));   

% IL and RL - D+/D-
SDD65=squeeze(mix{2}.S(3,4,:));
SDD55=squeeze(mix{2}.S(3,3,:));
SDD66=squeeze(mix{2}.S(4,4,:));        

% SS-DD NEXT and FEXT        
SDD51=squeeze(mix{2}.S(1,3,:));
SDD62=squeeze(mix{2}.S(2,4,:));
SDD52=squeeze(mix{2}.S(2,3,:));
SDD61=squeeze(mix{2}.S(1,4,:));

SDD53=squeeze(mix{3}.S(1,3,:)); 
SDD64=squeeze(mix{3}.S(2,4,:));
SDD54=squeeze(mix{3}.S(2,3,:)); 
SDD63=squeeze(mix{3}.S(1,4,:));     
        
% Assemble SDD for SS
SDD.SSIL=[SDD21 SDD43];
SDD.SSRL=[SDD11 SDD22 SDD33 SDD44];
SDD.SSNXT=[SDD31 SDD42];
SDD.SSFXT=[SDD41 SDD32];
SDD.DDIL=SDD65;
SDD.DDRL=[SDD55 SDD66];
SDD.D2SNXT=[SDD51 SDD53 SDD62 SDD64];
SDD.D2SFXT=[SDD52 SDD54 SDD61 SDD63];
SDC.SS=[SDC12 SDC21 SDC34 SDC43];