function y = myIMRfun(x,W0,w,f_red,IL_red,gamma,DC,fmax)

W=W0.^x;

% Weighted least square fit
X=[sqrt(f_red/1e6) (f_red/1e6) (f_red/1e6).^1.5];
Xw=diag(W)*X;
y=gamma-DC;
yw=diag(W)*y;
b=Xw\yw;

% Fitting results
gamma_fit=DC+X*b;
IL_fit=exp(gamma_fit);

%figure(1)
%plot(f_red,db(IL_red),f_red,db(IL_fit))
%hold all

% ILD
ILD=IL_red-IL_fit;

% Integrated multi-reflection
y=db(sqrt(sum((w.*abs(ILD)).^2))*(f_red(2)-f_red(1))/fmax); 
        
end