function [SDD,SDC]=VNA12spAssemble(mix)

% IL
SDD21=squeeze(mix{1}.S(1,2,:));
SDD43=squeeze(mix{1}.S(3,4,:));
SDD65=squeeze(mix{1}.S(5,6,:));

% RL
SDD11=squeeze(mix{1}.S(1,1,:));
SDD22=squeeze(mix{1}.S(2,2,:));
SDD33=squeeze(mix{1}.S(3,3,:));
SDD44=squeeze(mix{1}.S(4,4,:)); 
SDD55=squeeze(mix{1}.S(5,5,:));
SDD66=squeeze(mix{1}.S(6,6,:));

% Mode convertion
SDC12=squeeze(mix{1}.S(1,8,:));
SDC21=squeeze(mix{1}.S(2,7,:)); 
SDC34=squeeze(mix{1}.S(3,10,:)); 
SDC43=squeeze(mix{1}.S(4,9,:));

% SS-SS NEXT
SDD31=squeeze(mix{1}.S(1,3,:)); 
SDD42=squeeze(mix{1}.S(2,4,:));

% SS-SS FEXT
SDD41=squeeze(mix{1}.S(1,4,:));
SDD32=squeeze(mix{1}.S(2,3,:));    

% SS-DD NEXT
SDD51=squeeze(mix{1}.S(1,5,:));
SDD53=squeeze(mix{1}.S(3,5,:)); 
SDD62=squeeze(mix{1}.S(2,6,:));
SDD64=squeeze(mix{1}.S(4,6,:));         

% SS-DD FEXT
SDD52=squeeze(mix{1}.S(2,5,:));
SDD54=squeeze(mix{1}.S(4,5,:));
SDD61=squeeze(mix{1}.S(1,6,:));
SDD63=squeeze(mix{1}.S(3,6,:));

% Assemble SDD for SDC
SDD.SSIL=[SDD21 SDD43];
SDD.SSRL=[SDD11 SDD22 SDD33 SDD44];
SDD.SSNXT=[SDD31 SDD42];
SDD.SSFXT=[SDD41 SDD32];
SDD.DDIL=SDD65;
SDD.DDRL=[SDD55 SDD66];
SDD.D2SNXT=[SDD51 SDD53 SDD62 SDD64];
SDD.D2SFXT=[SDD52 SDD54 SDD61 SDD63];
SDC.SS=[SDC12 SDC21 SDC34 SDC43];
        