function y_interp=interSpec(f_spec,y_spec,f)

% f_spec and y_spec define the spec limit
% f and y is the actual measurement


% Interplate spec 
for i=1:length(f_spec)-1
    k=(y_spec(i+1)-y_spec(i))/(log10(f_spec(i+1))-log10(f_spec(i)));
    b=y_spec(i)-k*log10(f_spec(i));
    ID=find(f>=f_spec(i) & f<f_spec(i+1));
    y_interp(ID)=log10(f(ID))*k+b;
end

% Force y_interp and f to have the same length
if length(y_interp) == length(f)-1
    y_interp(end+1)=y_interp(end);
end


